NOT IMPLEMENTED: CCXT fetchTrades
curl --request GET \
--url https://testnet.edel-api.xyz/v2/not-implemented/fetch-tradesimport requests
url = "https://testnet.edel-api.xyz/v2/not-implemented/fetch-trades"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.edel-api.xyz/v2/not-implemented/fetch-trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "NotSupported",
"message": "<string>",
"code": "operation_not_available",
"retryable": false,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "operation_not_available",
"safeMessage": "<string>",
"retryable": false,
"recoveryActions": [
"do_not_retry"
],
"occurredAtEpochMs": 1,
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
},
"method": "fetchTrades"
}CCXT v2
NOT IMPLEMENTED: CCXT fetchTrades
NOT IMPLEMENTED. Edel has no public perpetual trade tape for the CCXT unified fetchTrades method. Edel is a perpetuals venue and does not offer a spot product. This stub executes no handler, database, engine, Canton, or provider logic.
Method and path: GET /v2/not-implemented/fetch-trades
Authentication: none.
Request schema: none.
Response schema: CcxtV2NotImplementedResponse.
Error envelope: CcxtV2NotImplementedResponse (contains ExternalRestError external-rest-error/v1 as info).
GET
/
v2
/
not-implemented
/
fetch-trades
NOT IMPLEMENTED: CCXT fetchTrades
Response
501 - application/json
NOT IMPLEMENTED. This route always returns the closed CCXT not-implemented response.
Allowed value:
"NotSupported"Minimum string length:
1Allowed value:
"operation_not_available"Required range:
x >= 0Show child attributes
Show child attributes
Available options:
fetchTrades, cancelAllOrders, editOrder, fetchFundingRateHistory, fetchFundingHistory, setLeverage, setMarginMode